These python scripts were developed to retrieve data from the MobyGames API. We used these queries to retrieve descriptive information about games for specific game platforms matching our criteria for study. When our queries were too complex, MobyGames engineers directly exported a list of titles from their database, and we used these scripts to obtain information about those specific titles.
These scripts were developed in June 2022 to support our study of the video game reissue market, published in 2023. In the interest of reproducibility and transparency, we have released them as open source.

# MobyGames Exports

## c64.json
## random_games.json

# Python Scripts

## moby_ids_to_csv.py
This script takes in a file containing a JSON array of game id's and creates a CSV of game information from the MobyGames API
Usage: moby_ids_to_csv.py input.json output.csv
Example $ python moby_ids_to_csv.py random_games.json random_games_detailed.csv

## platform_to_csv.py
This script compiles a list of every US release of a given platform before a supplied threshold year, and creates a CSV of game information from the MobyGames API

Usage: platform_to_csv.py platform-id year-threshold output.csv
Example $ python platform_to_csv.py 12 2008 gba.csv